<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjAdmin extends pjAppController
{
	public $defaultUser = 'admin_user';
	
	public $requireLogin = true;
	
	public function __construct($requireLogin=null)
	{
		$this->setLayout('pjActionAdmin');
		
		if (!is_null($requireLogin) && is_bool($requireLogin))
		{
			$this->requireLogin = $requireLogin;
		}
		
		if ($this->requireLogin)
		{
			if (!$this->isLoged() && !in_array(@$_REQUEST['action'], array('pjActionLogin', 'pjActionForgot', 'pjActionPreview', 'pjActionExportFeed')))
			{
				if (!$this->isXHR())
				{
					pjUtil::redirect($_SERVER['PHP_SELF'] . "?controller=pjBase&action=pjActionLogin");
				} else {
					header('HTTP/1.1 401 Unauthorized');
					exit;
				}
			}
		}
		
		$ref_inherits_arr = array();
		if ($this->isXHR() && isset($_SERVER['HTTP_REFERER'])) {
			$http_refer_arr = parse_url($_SERVER['HTTP_REFERER']);
			parse_str($http_refer_arr['query'], $arr);
			if (isset($arr['controller']) && isset($arr['action'])) {
				parse_str($_SERVER['QUERY_STRING'], $query_string_arr);
				$key = $query_string_arr['controller'].'_'.$query_string_arr['action'];
				$cnt = pjAuthPermissionModel::factory()->where('`key`', $key)->findCount()->getData();
				if ($cnt <= 0) {
					$ref_inherits_arr[$query_string_arr['controller'].'::'.$query_string_arr['action']] = $arr['controller'].'::'.$arr['action'];
				}
			}
		}
		$inherits_arr = array(
			'pjAdminOptions::pjActionUpdateTheme' => 'pjAdminOptions::pjActionPreview',
			'pjBasePermissions::pjActionResetPermission' => 'pjBasePermissions::pjActionUserPermission',
			'pjAdminOptions::pjActionDeleteLocation' => 'pjAdminOptions::pjActionShippingTax',
			'pjAdminCategories::pjActionGetCategory' => 'pjAdminCategories::pjActionIndex',
			'pjAdminCategories::pjActionCreate' => 'pjAdminCategories::pjActionCreateForm',
			'pjAdminCategories::pjActionUpdate' => 'pjAdminCategories::pjActionUpdateForm',
			'pjAdminCategories::pjActionSaveCategory' => 'pjAdminCategories::pjActionUpdateForm',
			'pjAdminCategories::pjActionSetOrder' => 'pjAdminCategories::pjActionUpdateForm',
		    'pjAdminProducts::pjActionCheckStockAttributes' => 'pjAdminProducts::pjActionUpdate'
			
		);
		if ($_REQUEST['controller'] == 'pjAdminOptions' && isset($_REQUEST['next_action'])) {
			$inherits_arr['pjAdminOptions::pjActionUpdate'] = 'pjAdminOptions::'.$_REQUEST['next_action'];
		}
		$inherits_arr = array_merge($inherits_arr, $ref_inherits_arr);
		pjRegistry::getInstance()->set('inherits', $inherits_arr);
	}
	
	public function beforeFilter()
	{
		parent::beforeFilter();

		if (!pjAuth::factory()->hasAccess() && @$_REQUEST['action'] != 'pjActionExportFeed')
		{
			$this->sendForbidden();
			return false;
		}
		
		return true;
	}
	
	public function afterFilter()
	{
		parent::afterFilter();
		$this->appendJs('index.php?controller=pjBase&action=pjActionMessages', PJ_INSTALL_URL, true);
	}
	
	public function beforeRender()
	{
		
	}
	
	public function readCSV($filePath)
    {
       
        try {

            if (($file = fopen($filePath, 'r')) !== false) {
                $bom = fread($file, 3);

                if ($bom != "\xef\xbb\xbf") {

                    rewind($file);

                }

                $toLocations = fgetcsv($file, 0, ';');
                

                if (isset($toLocations[0])) {

                    $toLocations[0] = trim($toLocations[0], "\xEF\xBB\xBF;");

                }

                $toLocations = array_filter($toLocations, function ($value) {

                    return ! empty($value);

                });
                echo "<pre>"; print_r($toLocations); die;

                $toLocations = array_values($toLocations);

                $fromToPriceData = [];

                while (($data = fgetcsv($file, 0, ';')) !== false) {

                    $fromLocation = isset($data[0]) ? trim($data[0]) : '';

                    if (empty($fromLocation)) {

                        continue;

                    }

                    for ($i = 1; $i < count($data); $i++) {

                        $price = isset($data[$i]) && $data[$i] !== '' ? trim($data[$i]) : '0'; // Set price to '0' if empty

                        $toLocation = isset($toLocations[$i - 1]) ? $toLocations[$i - 1] : ''; // The "to" location

                        $fromToPriceData[] = [

                            'from_location' => $fromLocation,

                            'to_location'   => $toLocation,

                            'price'         => $price,

                        ];

                    }

                }

                fclose($file);

                $location_details = [];

                foreach ($fromToPriceData as $key => $data) {

                    $from_foreign_id = self::getCityId($data['from_location']);

                    $to_foreign_id = self::getCityId($data['to_location']);

                    if (! empty($from_foreign_id) && ! empty($to_foreign_id)) {

                        $location_details[] = [

                            'from_city_id' => $from_foreign_id,

                            'to_city_id'   => $to_foreign_id,

                            'price'        => $data['price'],

                        ];

                    }

                }

                return $location_details;

            }
        } catch (\Throwable $th) {
            //throw $th;
        }
    }
		
	public function pjActionIndex()
	{
	   
	    
	    $filePath = PJ_UPLOAD_PATH."wvbtest.csv";
	    
	  
	   $response = $this->readCSV($filePath);
	    echo "<pre>"; print_r($response); die;
		$this->checkLogin();
	    if (!pjAuth::factory()->hasAccess())
	    {
	        $this->sendForbidden();
	        return;
	    }
		
		$pjProductModel = pjProductModel::factory();
		$pjClientModel = pjClientModel::factory();
		$pjStockAttributeModel = pjStockAttributeModel::factory();
		$pjMultiLangModel = pjMultiLangModel::factory();
		$pjOrderModel = pjOrderModel::factory()
			->select("t1.*, t2.client_name")
			->join("pjClient", "t1.client_id=t2.id")
			->orderBy('t1.created DESC')->limit(6)->findAll();
		$order_arr = $pjOrderModel->getData();
		
		$product_ordered_arr = pjOrderStockModel::factory()
			->select('t1.product_id, t2.uuid, t2.id as order_id, t3.content as name')
			->join('pjOrder', "t1.order_id=t2.id", 'left outer')
			->join('pjMultiLang', "t3.model='pjProduct' AND t3.foreign_id=t1.product_id AND t3.locale='".$this->getLocaleId()."' AND t3.field='name'", 'left outer')
			->where("DATE(t2.`created`) = CURDATE()")
			->orderBy("t2.created DESC")
			->findAll()
			->getData();
		$product_arr = array();
		foreach($product_ordered_arr as $k => $v)
		{
			$product_arr[$v['product_id']][] = $v;
			if(count($product_arr) >= 5)
			{
				break;
			}
		}
		
		$info_arr = pjAppModel::factory()
			->prepare(sprintf("SELECT 1,
				(SELECT COUNT(*) FROM `%1\$s` WHERE DATE(`created`) = CURDATE() LIMIT 1) AS `orders`,
				(SELECT SUM(`total`) FROM `%1\$s` WHERE DATE(`created`) = CURDATE() LIMIT 1) AS `amount`,
				(SELECT COUNT(DISTINCT product_id) FROM `%4\$s` WHERE order_id IN ( SELECT `id` FROM `%1\$s` WHERE DATE(`created`) = CURDATE() ) LIMIT 1) AS `products`	
			", $pjOrderModel->getTable(), $pjClientModel->getTable(), pjProductModel::factory()->getTable(), pjOrderStockModel::factory()->getTable()))
			->exec(array())
			->getData();
		
		$cnt_orders = $pjOrderModel->reset()->where('status <>', 'cancelled')->findCount()->getData();
		$cnt_new_orders = $pjOrderModel->reset()->where('status', 'new')->findCount()->getData();
		$cnt_pending_orders = $pjOrderModel->reset()->where('status', 'pending')->findCount()->getData();
		$cnt_products = $pjProductModel->reset()->findCount()->getData();
		$cnt_active_products = $pjProductModel->reset()->where('status', 1)->findCount()->getData();
		$cnt_out_stock = $pjProductModel->reset()->where("t1.id NOT IN(SELECT TS.product_id FROM `".pjStockModel::factory()->getTable()."` AS TS GROUP BY TS.product_id HAVING SUM(TS.qty) > 0)")->findCount()->getData();
		$cnt_active_out_stock = $pjProductModel->reset()->where("t1.status = 1 AND t1.id NOT IN(SELECT TS.product_id FROM `".pjStockModel::factory()->getTable()."` AS TS GROUP BY TS.product_id HAVING SUM(TS.qty) > 0)")->findCount()->getData();
		
		$amount = $pjOrderModel
			->reset()
			->select("SUM(total) AS amount")
			->where('status <>', 'cancelled')
			->findAll()
			->getData();
		
		$voucher_arr = pjVoucherModel::factory()->where("
					(valid='period' AND (UNIX_TIMESTAMP(CONCAT(date_from, ' ', time_from)) <= UNIX_TIMESTAMP(NOW()) AND UNIX_TIMESTAMP(NOW()) <= UNIX_TIMESTAMP(CONCAT(date_to, ' ', time_to))))
					OR
					(valid='fixed' AND (UNIX_TIMESTAMP(CONCAT(date_from, ' ', time_from)) <= UNIX_TIMESTAMP(NOW()) AND UNIX_TIMESTAMP(NOW()) <= UNIX_TIMESTAMP(CONCAT(date_from, ' ', time_to))))
					OR
					(valid='recurring' AND every='".strtolower(date('l'))."' AND (UNIX_TIMESTAMP(CONCAT(CURDATE(), ' ', time_from)) <= UNIX_TIMESTAMP(NOW()) AND UNIX_TIMESTAMP(NOW()) <= UNIX_TIMESTAMP(CONCAT(CURDATE(), ' ', time_to))))
				")->findAll()->getData();
		
		$cnt_categories = pjCategoryModel::factory()
			->where("t1.id IN (SELECT TPC.category_id FROM `".pjProductCategoryModel::factory()->getTable()."` AS TPC)")
			->findCount()
			->getData();
		
		$this
			->set('order_arr', $order_arr)
			->set('cnt_orders', $cnt_orders)
			->set('cnt_new_orders', $cnt_new_orders)
			->set('cnt_pending_orders', $cnt_pending_orders)
			->set('cnt_products', $cnt_products)
			->set('cnt_active_products', $cnt_active_products)
			->set('cnt_out_stock', $cnt_out_stock)
			->set('cnt_active_out_stock', $cnt_active_out_stock)
			->set('voucher_arr', $voucher_arr)
			->set('cnt_categories', $cnt_categories)
			->set('amount', !empty($amount) ? $amount[0]['amount'] : 0)
			->set('info_arr', $info_arr)
			->set('product_arr', $product_arr);
			
			if(pjObject::getPlugin('pjPayments') !== NULL)
			{
				$this->set('payment_option_arr', pjPaymentOptionModel::factory()->getOptions(NULL));
				$this->set('payment_titles', pjPayments::getPaymentTitles($this->getForeignId(), $this->getLocaleId()));
			}
			else
			{
				$this->set('payment_titles', __('payment_methods', true));
			}
	}
}
?>