<?php
$controller_name = $controller->_get->toString('controller');
$action_name = $controller->_get->toString('action');

// Dashboard
$isScriptDashboard = in_array($controller_name, array('pjAdmin')) && in_array($action_name, array('pjActionIndex'));

// Bookings
$isScriptBookingsController = in_array($controller_name, array('pjAdminOrders'));
$isScriptBookings = $isScriptBookingsController && in_array($action_name, array('pjActionIndex', 'pjActionCreate', 'pjActionUpdate'));

// Clients
$isScriptClientsController       = in_array($controller_name, array('pjAdminClients'));

// Products
$isScriptProductsController       = in_array($controller_name, array('pjAdminProducts'));
$isScriptProducts = $isScriptProductsController && in_array($action_name, array('pjActionIndex', 'pjActionCreate', 'pjActionUpdate'));
$isScriptProductStock = $isScriptProductsController && in_array($action_name, array('pjActionStock'));

// Categories
$isScriptCategoriesController     = in_array($controller_name, array('pjAdminCategories'));

// Reports
$isScriptReportsController     = in_array($controller_name, array('pjAdminReports'));

// Vouchers
$isScriptVouchersController     = in_array($controller_name, array('pjAdminVouchers'));

// Payments
$isScriptPaymentsController = in_array($controller_name, array('pjPayments'));

// Settings
$isScriptOptionsController = in_array($controller_name, array('pjAdminOptions')) && !in_array($action_name, array('pjActionPreview', 'pjActionInstall'));

$isScriptOptionsBooking         = $isScriptOptionsController && in_array($action_name, array('pjActionBooking'));
$isScriptOptionsBookingForm     = $isScriptOptionsController && in_array($action_name, array('pjActionBookingForm'));
$isScriptOptionsShippingTax     = $isScriptOptionsController && in_array($action_name, array('pjActionShippingTax'));
$isScriptOptionsTerm            = $isScriptOptionsController && in_array($action_name, array('pjActionTerm'));
$isScriptOptionsNotifications   = $isScriptOptionsController && in_array($action_name, array('pjActionNotifications'));


// Permissions - Dashboard
$hasAccessScriptDashboard = pjAuth::factory('pjAdmin', 'pjActionIndex')->hasAccess();

// Permissions - Bookings
$hasAccessScriptBookings            = pjAuth::factory('pjAdminOrders')->hasAccess();
$hasAccessScriptBookingsIndex       = pjAuth::factory('pjAdminOrders', 'pjActionIndex')->hasAccess();

// Permissions - Clients
$hasAccessScriptClients        = pjAuth::factory('pjAdminClients')->hasAccess();
$hasAccessScriptClientsIndex   = pjAuth::factory('pjAdminClients', 'pjActionIndex')->hasAccess();

// Permissions - Products
$hasAccessScriptProducts  = pjAuth::factory('pjAdminProducts')->hasAccess();
$hasAccessScriptProductsIndex  = pjAuth::factory('pjAdminProducts', 'pjActionIndex')->hasAccess();
$hasAccessScriptStockIndex  = pjAuth::factory('pjAdminProducts', 'pjActionStock')->hasAccess();

// Permissions - Categories
$hasAccessScriptCategories      	  = pjAuth::factory('pjAdminCategories', 'pjActionIndex')->hasAccess();

// Permissions - Reports
$hasAccessScriptReports          	  = pjAuth::factory('pjAdminReports', 'pjActionIndex')->hasAccess();

// Permissions - Vouchers
$hasAccessScriptVouchers          	  = pjAuth::factory('pjAdminVouchers', 'pjActionIndex')->hasAccess();

// Permissions - Settings
$hasAccessScriptOptions                 = pjAuth::factory('pjAdminOptions')->hasAccess();
$hasAccessScriptOptionsBooking          = pjAuth::factory('pjAdminOptions', 'pjActionBooking')->hasAccess();
$hasAccessScriptOptionsBookingForm      = pjAuth::factory('pjAdminOptions', 'pjActionBookingForm')->hasAccess();
$hasAccessScriptOptionsShippingTax      = pjAuth::factory('pjAdminOptions', 'pjActionShippingTax')->hasAccess();
$hasAccessScriptOptionsTerm             = pjAuth::factory('pjAdminOptions', 'pjActionTerm')->hasAccess();
$hasAccessScriptOptionsNotifications    = pjAuth::factory('pjAdminOptions', 'pjActionNotifications')->hasAccess();

// Permissions - Payments
$hasAccessScriptPayments = pjAuth::factory('pjPayments', 'pjActionIndex')->hasAccess();

?>

<?php if ($hasAccessScriptDashboard): ?>
    <li<?php echo $isScriptDashboard ? ' class="active"' : NULL; ?>>
        <a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdmin&amp;action=pjActionIndex"><i class="fa fa-th-large"></i> <span class="nav-label"><?php __('plugin_base_menu_dashboard');?></span></a>
    </li>
<?php endif; ?>

<?php if ($hasAccessScriptBookingsIndex): ?>
    <li<?php echo $isScriptBookings ? ' class="active"' : NULL; ?>>
        <a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminOrders&amp;action=pjActionIndex"><i class="fa fa-list"></i> <span class="nav-label"><?php __('menuOrders');?></span></a>
    </li>
<?php endif; ?>

<?php if ($hasAccessScriptClientsIndex): ?>
    <li<?php echo $isScriptClientsController ? ' class="active"' : NULL; ?>>
        <a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminClients&amp;action=pjActionIndex"><i class="fa fa-user"></i> <span class="nav-label"><?php __('menuClients');?></span></a>
    </li>
<?php endif; ?>

<?php if ($hasAccessScriptProductsIndex || $hasAccessScriptStockIndex || $hasAccessScriptCategories): ?>
   <li<?php echo $isScriptProducts || $isScriptProductStock || $isScriptCategoriesController ? ' class="active"' : NULL; ?>>
        <a href="#"><i class="glyphicon glyphicon-th"></i> <span class="nav-label"><?php __('menuProducts');?></span><span class="fa arrow"></span></a>
        <ul class="nav nav-second-level collapse">
            
            <?php if ($hasAccessScriptProductsIndex): ?>
                <li<?php echo $isScriptProducts ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminProducts&amp;action=pjActionIndex"><?php __('menuProductsList');?></a></li>
            <?php endif; ?>

            <?php if ($hasAccessScriptStockIndex): ?>
                <li<?php echo $isScriptProductStock ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminProducts&amp;action=pjActionStock"><?php __('menuProductStock');?></a></li>
            <?php endif; ?>
            
            <?php if ($hasAccessScriptCategories): ?>
                <li<?php echo $isScriptCategoriesController ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminCategories&amp;action=pjActionIndex"><?php __('menuCategories');?></a></li>
            <?php endif; ?>
        </ul>
    </li>
<?php endif; ?>

<?php if ($hasAccessScriptVouchers): ?>
    <li<?php echo $isScriptVouchersController ? ' class="active"' : NULL; ?>>
        <a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminVouchers&amp;action=pjActionIndex"><i class="fa fa-gift"></i> <span class="nav-label"><?php __('menuVouchers');?></span></a>
    </li>
<?php endif; ?>

<?php if ($hasAccessScriptReports): ?>
    <li<?php echo $isScriptReportsController ? ' class="active"' : NULL; ?>>
        <a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminReports&amp;action=pjActionIndex"><i class="fa fa-files-o"></i> <span class="nav-label"><?php __('menuReports');?></span></a>
    </li>
<?php endif; ?>

<?php if ($hasAccessScriptOptionsBooking || $hasAccessScriptPayments || $hasAccessScriptOptionsBookingForm || $hasAccessScriptOptionsTicket || $hasAccessScriptOptionsContent || $hasAccessScriptOptionsNotifications || $hasAccessScriptOptionsTerm): ?>
    <li<?php echo $isScriptOptionsController || $isScriptPaymentsController ? ' class="active"' : NULL; ?>>
        <a href="#"><i class="fa fa-cog"></i> <span class="nav-label"><?php __('menuSettings');?></span><span class="fa arrow"></span></a>
        <ul class="nav nav-second-level collapse">
            <?php if ($hasAccessScriptOptionsBooking): ?>
                <li<?php echo $isScriptOptionsBooking ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminOptions&amp;action=pjActionBooking"><?php __('settingsTabOrders');?></a></li>
            <?php endif; ?>

            <?php if ($hasAccessScriptPayments): ?>
                <li<?php echo $isScriptPaymentsController ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjPayments&amp;action=pjActionIndex"><?php __('settingsTabPayments');?></a></li>
            <?php endif; ?>

            <?php if ($hasAccessScriptOptionsBookingForm): ?>
                <li<?php echo $isScriptOptionsBookingForm ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminOptions&amp;action=pjActionBookingForm"><?php __('settingsTabCheckoutForm');?></a></li>
            <?php endif; ?>
            
            <?php if ($hasAccessScriptOptionsShippingTax): ?>
                <li<?php echo $isScriptOptionsShippingTax ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminOptions&amp;action=pjActionShippingTax"><?php __('settingsTabShippingTax');?></a></li>
            <?php endif; ?>

			<?php if ($hasAccessScriptOptionsTerm): ?>
                <li<?php echo $isScriptOptionsTerm ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminOptions&amp;action=pjActionTerm"><?php __('settingsTabTerms');?></a></li>
            <?php endif; ?>
                        
            <?php if ($hasAccessScriptOptionsNotifications): ?>
                <li<?php echo $isScriptOptionsNotifications ? ' class="active"' : NULL; ?>><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminOptions&amp;action=pjActionNotifications"><?php __('settingsTabNotifications');?></a></li>
            <?php endif; ?>

        </ul>
    </li>
<?php endif; ?>